com.creamtec.ajaxswing

## Class HttpServletRequestImpl.SerializableCookie

- java.lang.Object
- - javax.servlet.http.Cookie
  - - com.creamtec.ajaxswing.HttpServletRequestImpl.MyCookie
    - - com.creamtec.ajaxswing.HttpServletRequestImpl.SerializableCookie

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable
  Enclosing class:
    HttpServletRequestImpl

      public static class HttpServletRequestImpl.SerializableCookie
      extends HttpServletRequestImpl.MyCookie
      implements java.io.Serializable

  Provides serializable wrapper for cookie.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpServletRequestImpl.SerializableCookie()`
    `HttpServletRequestImpl.SerializableCookie(javax.servlet.http.Cookie cookie)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()`
    `java.lang.String` | `getValue()`

    - ### Methods inherited from class javax.servlet.http.Cookie

      `clone, getComment, getDomain, getMaxAge, getPath, getSecure, getVersion, isHttpOnly, setComment, setDomain, setHttpOnly, setMaxAge, setPath, setSecure, setValue, setVersion`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpServletRequestImpl.SerializableCookie

          public HttpServletRequestImpl.SerializableCookie()

    - #### HttpServletRequestImpl.SerializableCookie

          public HttpServletRequestImpl.SerializableCookie(javax.servlet.http.Cookie cookie)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Overrides:
        `getName` in class `javax.servlet.http.Cookie`

    - #### getValue

          public java.lang.String getValue()

      Overrides:
        `getValue` in class `javax.servlet.http.Cookie`

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.